package com.jwl.driver.server.controller;


import com.jwl.driver.server.dto.ProjectDto;
import com.jwl.driver.server.response.BaseResponse;
import com.jwl.driver.server.service.ITdProjectService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 考试项目表; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "考试项目")
@RestController
@RequestMapping("/tdTestProject")
@Slf4j
public class TdProjectController {

    @Autowired
    private ITdProjectService projectService;

    @ApiOperation("获取项目列表 (考试项目和基础操作)")
    @PostMapping("/queryProjectList")
    public BaseResponse list(@RequestBody ProjectDto projectDto) {
        log.info("获取考试项目=========》projectDto{}",projectDto);
        return BaseResponse.success(projectService.queryProjectList(projectDto));
    }
}
