package com.jwl.driver.server.controller;


import com.jwl.driver.server.dto.QuestionQueryDto;
import com.jwl.driver.server.dto.TestQueryDto;
import com.jwl.driver.server.dto.TestSubmitDto;
import com.jwl.driver.server.response.BaseResponse;
import com.jwl.driver.server.service.ITdQuestionService;
import com.jwl.driver.server.service.ITdQuestionTestService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.validation.Valid;

/**
 * <p>
 * 模拟考试成绩表; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "考试")
@RestController
@RequestMapping("/tdQuestionTest")
@Slf4j
public class TdQuestionTestController {

    @Autowired
    private ITdQuestionTestService testService;

    @ApiOperation("提交考试成绩")
    @PostMapping("/testSubmit")
    public BaseResponse testSubmit(@RequestBody @Valid TestSubmitDto submitDto) {
        log.info("考试成绩======>submitDto:{}", submitDto);
        return BaseResponse.success(testService.testSubmit(submitDto));
    }

    @ApiOperation("获取考试统计")
    @PostMapping("/testTotal")
    public BaseResponse testTotal(@RequestBody @Valid TestQueryDto queryDto) {
        log.info("考试统计查询======>queryDto:{}", queryDto);
        return BaseResponse.success(testService.testTotal(queryDto));
    }
}
