package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author 曹林
 * @description 成绩查询入参
 * @create 2023/8/14 21:22
 */
@Data
@Accessors(chain = true)
@ApiModel("成绩查询入参")
public class TestQueryDto {

    /**
     * 车型标识
     */
    @ApiModelProperty(value = "车型标识",required = true)
    @NotNull(message = "车型标识不能为空")
    private Integer carTypeId;

    /**
     * 科目
     */
    @ApiModelProperty(value = "科目",required = true)
    @NotNull(message = "考试科目不能为空")
    private String subject ;
}
