package com.jwl.driver.server.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 曹林
 * @description 成绩提交入参
 * @create 2023/8/14 21:22
 */
@Data
@Accessors(chain = true)
@ApiModel("成绩提交入参")
public class TestSubmitDto {

    /**
     * 车型标识
     */
    @ApiModelProperty(value = "车型标识",required = true)
    @NotNull(message = "车型标识不能为空")
    private Integer carTypeId;

    /**
     * 科目
     */
    @ApiModelProperty(value = "科目",required = true)
    @NotBlank(message = "考试科目不能为空")
    private String subject ;

    /**
     * 考试得分
     */
    @ApiModelProperty(value = "考试得分",required = true)
    @NotNull(message = "考试得分不能为空")
    @Max(100)
    @Min(0)
    private Integer score;

    /**
     * 考试时长,单位为秒
     */
    @ApiModelProperty(value = "考试时长,单位为秒",required = true)
    @NotNull(message = "考试时间不能为空")
    @Max(3600)
    @Min(0)
    private Integer testTime;


}
