package com.jwl.driver.server.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 会员类型表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdMember implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 会员标识
     */
    @TableId(value = "MEMBER_ID", type = IdType.AUTO)
    private Integer memberId;

    /**
     * 会员名称
     */
    @TableField("MEMBER_NAME")
    private String memberName;

    /**
     * 车型标识
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 科目
     */
    @TableField("SUBJECTS")
    private String subjects;

    /**
     * 会员价格，单位元
     */
    @TableField("PRICE")
    private BigDecimal price;

    /**
     * 会员折扣，单位元
     */
    @TableField("DISCOUNT")
    private BigDecimal discount;

    /**
     * 会员时间
     */
    @TableField("DURATION")
    private Integer duration;

    /**
     * 时长单位，1：天，2：月 3：年
     */
    @TableField("UNIT")
    private String unit;

    /**
     * 会员描述
     */
    @TableField("DESCRIPTION")
    private String DESCRIPTION;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;


}
