package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 考试项目表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdProject implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 考试项目
     */
    @TableId("PROJECT_ID")
    private Integer projectId;

    /**
     * 类型
     */
    @TableField("TYPE")
    private String type;

    /**
     * 所属科目
     */
    @TableField("SUBJECT")
    private String subject;

    /**
     * 车型标识
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 驾驶类型，手动挡，自动挡，A2:B2等（在字典表里配置）
     */
    @TableField("DRIVE_TYPE")
    private String driveType;

    /**
     * 描述
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;


}
