package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 视频标识表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdVideos implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 视频标识
     */
    @TableId(value = "VIDEO_ID", type = IdType.AUTO)
    private Integer videoId;

    /**
     * 类型标识
     */
    @TableField("TYPE_ID")
    private Integer typeId;

    /**
     * 视频图片
     */
    @TableField("VIDEO_IMAGE")
    private String videoImage;

    /**
     * 视频链接
     */
    @TableField("VIDEO_URL")
    private String videoUrl;

    /**
     * 视频时长(秒)
     */
    @TableField("VIDEO_TIME")
    private Integer videoTime;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;

    /**
     * 描述
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


}
