package com.jwl.driver.server.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author 曹林
 * @description 会员列表出参
 * @create 2023/8/13 17:13
 */
@Data
@Accessors(chain = true)
@ApiModel("会员列表出参")
public class MemberVo {

    private static final long serialVersionUID = 1L;

    /**
     * 用户标识
     */
    @ApiModelProperty("用户标识")
    private Long userId;

    /**
     * 会员结束时间
     */
    @ApiModelProperty("会员结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endDate;

    /**
     * 会员标识
     */
    @ApiModelProperty("会员标识")
    private Integer memberId;

    /**
     * 会员名称
     */
    @ApiModelProperty("会员名称")
    private String memberName;

    /**
     * 车型标识
     */
    @ApiModelProperty("车型标识")
    private Integer carTypeId;

    /**
     * 科目
     */
    @ApiModelProperty("科目")
    private String subjects;

    /**
     * 会员价格，单位元
     */
    @ApiModelProperty("会员价格，单位元")
    private BigDecimal price;

    /**
     * 会员折扣，单位元
     */
    @ApiModelProperty("会员折扣，单位元")
    private BigDecimal discount;

    /**
     * 会员时间
     */
    @ApiModelProperty("会员时间")
    private Integer duration;

    /**
     * 时长单位，1：天，2：月 3：年
     */
    @ApiModelProperty("时长单位，1：天，2：月 3：年")
    private String unit;

    /**
     * 会员描述
     */
    @ApiModelProperty("会员描述")
    private String description;

    /**
     * 是否生效
     */
    @ApiModelProperty("是否生效")
    private String isActive;

}
