package com.jwl.driver.server.vo;


import com.jwl.driver.server.entity.TdVideos;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 考试项目表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@Accessors(chain = true)
@ApiModel("考试项目出参")
public class ProjectVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 考试项目
     */
    @ApiModelProperty("考试项目")
    private Integer projectId;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private String type;

    /**
     * 所属科目
     */
    @ApiModelProperty("所属科目")
    private String subject;

    /**
     * 车型标识
     */
    @ApiModelProperty("车型标识")
    private Integer carTypeId;

    /**
     * 驾驶类型，手动挡，自动挡，A2:B2等（在字典表里配置）
     */
    @ApiModelProperty("驾驶类型")
    private String driveType;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @ApiModelProperty("是否生效")
    private String isActive;

    /**
     * 显示序号
     */
    @ApiModelProperty("显示序号")
    private Integer showOrder;

    /**
     * 图片url
     */
    @ApiModelProperty("图片url")
    private String imageUrl;

    @ApiModelProperty("视频列表")
    private List<TdVideos> videoList;
}
