package com.jwl.driver.server.vo;

import com.jwl.driver.server.entity.TdQuestionTest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author 曹林
 * @description 考试成绩统计出参
 * @create 2023/8/21 0:39
 */

@Data
@Accessors(chain = true)
@ApiModel("考试成绩统计出参")
public class TestTotalVo {

    private static final long serialVersionUID = 1L;

    /**
     * 考试次数
     */
    @ApiModelProperty("考试次数")
    private Integer testNum;

    /**
     * 合格次数
     */
    @ApiModelProperty("合格次数")
    private Integer passNum;

    /**
     * 最近考试平均得分（超过五次按最近五次计算）
     */
    @ApiModelProperty("最近考试平均得分（超过五次按最近五次计算）")
    private Integer recentAverageScore;

    /**
     * 最近考试情况（超过五次返回最近五次）
     */
    @ApiModelProperty("最近考试情况（超过五次返回最近五次）")
    private List<TdQuestionTest> recentTestList;
}
