package com.jwl.driver.server;

import com.jwl.driver.server.config.WechatPayConfig;
import com.wechat.pay.java.core.Config;
import com.wechat.pay.java.core.RSAAutoCertificateConfig;
import com.wechat.pay.java.service.payments.jsapi.JsapiServiceExtension;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Profile;
import org.springframework.core.io.ClassPathResource;

import java.io.IOException;

/**
 * @author 曹林
 * @description 微信支付
 * @create 2023/8/21 10:36
 */
@SpringBootTest
@Profile("dev")
public class WechatPayTest {

    @Autowired
    private WechatPayConfig wechatPayConfig;

    @Test
    void createService() throws IOException {

        String privateKeyPath = Thread.currentThread().getContextClassLoader().getResource("wechatPay/apiclient_key.pem").getPath();
        Config config =
                new RSAAutoCertificateConfig.Builder()
                        .merchantId(wechatPayConfig.getMchId())
//                        .privateKeyFromPath(privateKeyPath)
                        .privateKeyFromPath(wechatPayConfig.getPrivateKeyPath())
                        .merchantSerialNumber(wechatPayConfig.getMchSerialNo())
                        .apiV3Key(wechatPayConfig.getApiV3Key())
                        .build();
        JsapiServiceExtension service = new JsapiServiceExtension.Builder().config(config).build();


    }
}
